#ifndef COIL_20CM_H
#define COIL_20CM_H

// included in target_sense.h when using coil
// 20cm
//

// Number of pulses to average
//
#define SAMPLE_BUFFER_LENGTH (25)

int SAMPLE_INDEXES_SET1[TIME_POINTS] = {INDEX_21uSEC, INDEX_24uSEC, INDEX_27uSEC, INDEX_30uSEC, INDEX_33uSEC};

int (*SAMPLE_INDEXES)[TIME_POINTS] = &SAMPLE_INDEXES_SET1;
#define SOUND_INDEX (0)
#define THRESHOLD (15.0)
int PULSE_WIDTH = PULSE_70uSEC;
#define PULSE_FREQUENCY (300)
#define DESCRIMINATION_ALGORITHM  IS_TARGET_A(ratios[R1], ratios[R3])

// update the sound 100 x per second
//
#define SOUND_UPDATE_COUNT (2)  




#endif // COIL_20CM_H