#ifndef COIL_HIGHSPEED1_H
#define COIL_HIGHSPEED1_H

// included in target_sense.h when using coil
// 100uH, 5 inch
//
int SAMPLE_INDEXES_HIGH_SPEED_COIL1[TIME_POINTS] = {INDEX_15uSEC, INDEX_18uSEC, INDEX_21uSEC, INDEX_24uSEC, INDEX_27uSEC};


// Number of pulses to average
//
#define SAMPLE_BUFFER_LENGTH (50)

//----- 5 inch high speed  100 uHenry coil  (15 to 27 uSec) -------------
//
int (*SAMPLE_INDEXES)[TIME_POINTS] = &SAMPLE_INDEXES_HIGH_SPEED_COIL1;
#define SOUND_INDEX (0)
#define THRESHOLD (8.0)
int PULSE_WIDTH = PULSE_20uSEC;
#define PULSE_FREQUENCY (1200)
#define DESCRIMINATION_ALGORITHM  IS_TARGET_B(ratios[R2])

// update the sound 100 x per second
//
#define SOUND_UPDATE_COUNT   (6)  




#endif // COIL_HIGHSPEED1_H